Overview
curl --request GET \
--url https://api.bizzy.ai/v1/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v1/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1357924680,
"name": "Example List One",
"type": "STATIC",
"columns": [
"activities",
"vatNumber",
"country",
"url",
"socials"
],
"shared": false,
"notifications": {
"enabled": true
},
"amountOfCompanies": 15,
"newResults": null,
"updatedAt": "2024-11-18T10:30:00.000Z",
"createdAt": "2024-10-20T08:45:00.000Z",
"createdBy": "jane.doe@example.com"
},
{
"id": 246813579,
"name": "Shared List",
"type": "SMART",
"columns": [
"description"
],
"shared": true,
"notifications": {
"enabled": false
},
"amountOfCompanies": 500,
"newResults": 25,
"updatedAt": "2024-11-19T12:00:00.000Z",
"createdAt": "2024-10-05T11:30:10.000Z",
"createdBy": "john.smith@example.com"
},
{
"id": 1123581321,
"name": "Static List A",
"type": "STATIC",
"columns": ["description"],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 8,
"newResults": null,
"updatedAt": "2024-11-16T18:15:19.000Z",
"createdAt": "2024-09-25T14:10:00.000Z",
"createdBy": "alex.brown@example.com"
},
{
"id": 9988776655,
"name": "Updated AI Filters",
"type": "SMART",
"columns": [
"description"
],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 120,
"newResults": 10,
"updatedAt": "2024-11-19T07:45:00.000Z",
"createdAt": "2024-10-10T10:20:10.000Z",
"createdBy": "lisa.white@example.com"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 50
}
}
Lists API
Overview
GET
/
v1
/
lists
Overview
Request
Query
string
default:"OVERVIEW"
List type to fetch - type can be either
STATIC, SMART or OVERVIEW which will return both static and smart listsnumber
default:"4"
Number of items to return per page. (max 500)
number
default:"0"
Number of items to skip
Response
The following fields can have a set of values:string
type can be either
STATIC or SMARTnumber | null
For smart lists, it returns a number indicating the count of new results based on the applied filters.
For static lists, it is always set to
For static lists, it is always set to
null.object
Notifications can only be enabled for static lists at this time.
{
"data": [
{
"id": 1357924680,
"name": "Example List One",
"type": "STATIC",
"columns": [
"activities",
"vatNumber",
"country",
"url",
"socials"
],
"shared": false,
"notifications": {
"enabled": true
},
"amountOfCompanies": 15,
"newResults": null,
"updatedAt": "2024-11-18T10:30:00.000Z",
"createdAt": "2024-10-20T08:45:00.000Z",
"createdBy": "jane.doe@example.com"
},
{
"id": 246813579,
"name": "Shared List",
"type": "SMART",
"columns": [
"description"
],
"shared": true,
"notifications": {
"enabled": false
},
"amountOfCompanies": 500,
"newResults": 25,
"updatedAt": "2024-11-19T12:00:00.000Z",
"createdAt": "2024-10-05T11:30:10.000Z",
"createdBy": "john.smith@example.com"
},
{
"id": 1123581321,
"name": "Static List A",
"type": "STATIC",
"columns": ["description"],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 8,
"newResults": null,
"updatedAt": "2024-11-16T18:15:19.000Z",
"createdAt": "2024-09-25T14:10:00.000Z",
"createdBy": "alex.brown@example.com"
},
{
"id": 9988776655,
"name": "Updated AI Filters",
"type": "SMART",
"columns": [
"description"
],
"shared": false,
"notifications": {
"enabled": false
},
"amountOfCompanies": 120,
"newResults": 10,
"updatedAt": "2024-11-19T07:45:00.000Z",
"createdAt": "2024-10-10T10:20:10.000Z",
"createdBy": "lisa.white@example.com"
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 50
}
}
Was this page helpful?
⌘I